#include <ti/sysbios/BIOS.h>
#include <ti/sysbios/knl/Task.h>

Task_Struct task0Struct;
char task0Stack[1024];

void testFxn() {
    char x = 0;

    while(1) {
        x++;
        if(x==0xff)
            Task_sleep(500);
    }
}

int main(void) {
    Task_Params task_params;

    Task_Params_init(&task_params);
    task_params.stackSize = 1024;
    task_params.stack = &task0Stack;
    Task_construct(&task0Struct, (Task_FuncPtr)testFxn, &task_params, NULL);

    BIOS_start();  // Infinite Loop
    return (0);
}
